Point3 (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.core

## Class Point3

- java.lang.Object
- - org.opencv.core.Point3

-     public class Point3
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `x`
    `double` | `y`
    `double` | `z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Point3()`
    `Point3(double[] vals)`
    `Point3(double x, double y, double z)`
    `Point3(Point p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Point3` | `clone()`
    `Point3` | `cross(Point3 p)`
    `double` | `dot(Point3 p)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `void` | `set(double[] vals)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public double x

    - #### y

          public double y

    - #### z

          public double z

  - ### Constructor Detail

    - #### Point3

          public Point3(double x,
                        double y,
                        double z)

    - #### Point3

          public Point3()

    - #### Point3

          public Point3(Point p)

    - #### Point3

          public Point3(double[] vals)

  - ### Method Detail

    - #### set

          public void set(double[] vals)

    - #### clone

          public Point3 clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### dot

          public double dot(Point3 p)

    - #### cross

          public Point3 cross(Point3 p)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown